Last Comment Bug 785679 - media/gfx push required a clobber
: media/gfx push required a clobber
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86_64 Linux
: -- blocker (vote)
: ---
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on:
Blocks: clobber 767480 781529
  Show dependency treegraph
 
Reported: 2012-08-25 22:26 PDT by Phil Ringnalda (:philor, back in August)
Modified: 2013-11-21 14:33 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Phil Ringnalda (:philor, back in August) 2012-08-25 22:26:48 PDT
Much as I would have liked it if the last blocker about having to clobber every few pushes would have solved all our problems, it didn't.

https://hg.mozilla.org/integration/mozilla-inbound/rev/f26d6c5a2d93 failed in opt and debug Linux64 mochitest-1 and reftests in https://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=f26d6c5a2d93 and debug Linux64 in https://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=b8893f7f80c5 before starting to pass. I retriggered the builds on its landing push after clobbering, but I already know what the results will be, the clobber will have "fixed" it.
Comment 1 Mike Hommey [:glandium] 2012-08-26 01:18:25 PDT
This should be fixed by the backout of bug 781529.

When building nsCanvasRenderingContext2D.cpp with -MMD, the .deps/nsCanvasRenderingContext2D.o.pp file doesn't contain a reference to ImageContainer.h. With -MD it does. AFAICT, ImageContainer.h is never declared as a system header, so this likely is a GCC bug.
Comment 2 Ryan VanderMeulen [:RyanVM] 2012-08-26 13:04:43 PDT
https://hg.mozilla.org/mozilla-central/rev/60a42d321090

Note You need to log in before you can comment on or make changes to this bug.